aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorBart Ribbers <bribbers@disroot.org>2022-01-20 08:42:15 +0100
committerBart Ribbers <bribbers@disroot.org>2022-01-20 10:36:09 +0100
commitdaa750b8eccfe8de476d0f748e49ac9a64376288 (patch)
tree9faf1615eefa4c2413ca6a0cd2170f26fb02bc05 /main
parent356bd554d974fbf163eda5af8f14af9961e57b3e (diff)
downloadaports-daa750b8eccfe8de476d0f748e49ac9a64376288.tar.gz
aports-daa750b8eccfe8de476d0f748e49ac9a64376288.tar.bz2
aports-daa750b8eccfe8de476d0f748e49ac9a64376288.tar.xz
main/u-boot: rebuild against ATF 2.6
Diffstat (limited to 'main')
-rw-r--r--main/u-boot/APKBUILD33
1 files changed, 20 insertions, 13 deletions
diff --git a/main/u-boot/APKBUILD b/main/u-boot/APKBUILD
index 2c07780431..15281c99c7 100644
--- a/main/u-boot/APKBUILD
+++ b/main/u-boot/APKBUILD
@@ -3,14 +3,23 @@
# Maintainer: Milan P. Stanić <mps@arvanta.net>
pkgname=u-boot
pkgver=2022.01
-pkgrel=0
+pkgrel=1
pkgdesc="u-boot bootloader common files"
url="https://www.denx.de/wiki/U-Boot/"
arch="all !s390x !ppc64le"
license="GPL-2.0-or-later OFL-1.1 BSD-2-Clause BSD-3-Clause eCos-2.0 IBM-pibs
ISC LGPL-2.0-only LGPL-2.1-only X11"
-makedepends="$depends_dev bc dtc python3-dev swig bison flex
- openssl1.1-compat-dev py3-setuptools linux-headers"
+makedepends="$depends_dev
+ bc
+ bison
+ dtc
+ flex
+ linux-headers
+ openssl-dev
+ py3-setuptools
+ python3-dev
+ swig
+ "
if [ "$CARCH" = "aarch64" ]; then
makedepends="$makedepends arm-trusted-firmware"
fi
@@ -60,7 +69,6 @@ riscv64) board_configs="
";;
esac
-_allboards=""
for board_config in $board_configs; do
_allboards="$_allboards $pkgname-${board_config%%:*}"
done
@@ -91,8 +99,8 @@ build() {
export BUILD_DIR="$builddir"/build/$board
mkdir -p "$BUILD_DIR"
- make O="$BUILD_DIR" ${board}_config || return 1
- make O="$BUILD_DIR" all || return 1
+ make O="$BUILD_DIR" ${board}_config
+ make O="$BUILD_DIR" all
done
done
msg "Building u-boot-tools"
@@ -106,8 +114,8 @@ package() {
esac
cd "$builddir"/build
mkdir -p "$pkgdir"/usr/share/$pkgname "$pkgdir"/usr/sbin
- install "$srcdir"/README.txt "$pkgdir"/usr/share/$pkgname/README.txt || return 1
- install "$srcdir"/update-u-boot "$pkgdir"/usr/sbin || return 1
+ install "$srcdir"/README.txt "$pkgdir"/usr/share/$pkgname/README.txt
+ install "$srcdir"/update-u-boot "$pkgdir"/usr/sbin
}
tools() {
@@ -124,7 +132,7 @@ tools() {
$subpkgdir/usr/bin/$(basename $tool)
done
install -Dm644 tools/env/fw_env.config \
- "${subpkgdir}/usr/share/doc/${pkgname}/examples/fw_env.config"
+ "$subpkgdir/usr/share/doc/$pkgname/examples/fw_env.config"
cd "$subpkgdir"/usr/bin
ln -sf fw_printenv fw_setenv
}
@@ -160,19 +168,18 @@ _split_boards() {
continue
fi
if [ -e "$BUILD_DIR"/$image ]; then
- cp "$BUILD_DIR"/$image "$subpkgdir"/usr/share/$pkgname/$board \
- || return 1
+ cp "$BUILD_DIR"/$image "$subpkgdir"/usr/share/$pkgname/$board
ok=yes
fi
done
- [ "$ok" = yes ] || return 1
+ [ "$ok" = yes ] || return
done
}
for board_config in $board_configs; do
_board="${board_config%%:*}"
_configs="${board_config#*:}"
- eval "${_board}() { _split_boards $_board ${_configs//,/ }; }"
+ eval "$_board() { _split_boards $_board ${_configs//,/ }; }"
done
sha512sums="